%define upstream_name    Dist-Zilla-Plugin-MetaData-BuiltWith
%define upstream_version 0.01018204

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Go overkill and report everything in all name-spaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::ConfigDumper) >= 4.101.540
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Util::EmulatePhase) >= 0.10.1.10
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
Often, distribution authors get module dependencies wrong. So in such
cases, its handy to be able to see what version of various packages they
built with.

Some would prefer to demand everyone install the same version as they did,
but that's also not always necessary.

Hopefully, the existence of the metadata provided by this module will help
users on their end machines make intelligent choices about what modules to
install in the event of a problem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 25 2011 jquelin <jquelin> 0.10.182.40-1.mga1
+ Revision: 59880
- update to 0.01018204

* Wed Jan 26 2011 jquelin <jquelin> 0.10.51.220-1.mga1
+ Revision: 40476
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaData-BuiltWith

